@import "[vicivision].parameters.css";

/* HERO Homepage e pagine prodotti*/
.hero {
    height: 600px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 0 var(--spacing-24);
}

    .hero .page-title {
        font-weight: bold;
    }

    .hero .page-description {
        color: var(--color-text-inverse);
    }

/* HERO Pagine Interne */
.hero-content {
    height: 500px;
    padding: 0 var(--spacing-32);
}

.hero-product {
    height: 100%;
    padding: var(--spacing-48) var(--spacing-32);
}

.hero-image {
    width: 400px;
}

.hero-video {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

/* Swiper in Homepage */
.hero-swiper .swiper-pagination-bullet {
    background: var(--color-white);
    opacity: 0.5;
    width: 12px;
    height: 12px;
}

.hero-swiper .swiper-pagination-bullet-active {
    background: var(--color-green-600);
    opacity: 1;
}

.hero-swiper .swiper-pagination {
    bottom: 60px !important;
}

.hero-swiper .hero-text-fade {
    opacity: 0;
    transition: opacity 600ms ease;
}

.hero-swiper .swiper-slide-active .hero-text-fade {
    opacity: 1;
}

.hero-swiper.is-changing .hero-text-fade {
    opacity: 0;
}

@media all and (min-width: 1440px) {
    .hero-content {
        padding: 0 var(--spacing-64);
    }
    .hero-product {
        height: 800px;
    }

/*    .hero-image {
        width: 400px;
    }*/
}